Package org.h2.command.dml

# Class SetClauseList

java.lang.Object
org.h2.command.dml.SetClauseList

All Implemented Interfaces:
  `HasSQL`

public final class SetClauseList extends Object implements HasSQL
Set clause list.

## Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`SetClauseList(Table table)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMultiple(ArrayList<Column> columns, ArrayList<Expression[]> allIndexes, Expression expression)`
Add multiple columns.
`void`
`addSingle(Column column, Expression[] arrayIndexes, Expression expression)`
Add a single column.
`StringBuilder`
`getSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement of this object to the specified builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Constructor Details

### SetClauseList

public SetClauseList(Table table)

## Method Details

### addSingle

public void addSingle(Column column, Expression[] arrayIndexes, Expression expression)
Add a single column.

Parameters:
  `column` - the column
  `arrayIndexes` - non-empty array of indexes for array element assignment, or `null` for simple assignment
  `expression` - the expression

### addMultiple

public void addMultiple(ArrayList<Column> columns, ArrayList<Expression[]> allIndexes, Expression expression)
Add multiple columns.

Parameters:
  `columns` - the columns
  `allIndexes` - list of non-empty arrays of indexes for array element assignments, or `null` values for simple assignments
  `expression` - the expression (e.g. an expression list)

### getSQL

public StringBuilder getSQL(StringBuilder builder, int sqlFlags)
Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Specified by:
  `getSQL` in interface `HasSQL`
Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder